<?php
// Настройки сайта
$db_array = parse_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/db_connect.ini");
$pay_array = parse_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/payment.ini");
$sys_array = parse_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini");
$game_array = parse_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/game.ini");
// Подключение к БД
$db_host = $db_array['DB_HOST'];
$db_name = $db_array['DB_NAME'];
$db_user = $db_array['DB_USER'];
$db_pass = $db_array['DB_PASS'];
try {
$connect = new PDO("mysql:host=$db_host;dbname=$db_name;charset=utf8", $db_user, $db_pass);
} catch (PDOException $e) {
die("Подключение не удалось: ".$e->getMessage());
}
// IP посетителя
$ip = $_COOKIE['ip_user'] ?? $_SERVER['REMOTE_ADDR'];
if (empty($_COOKIE['ip_user'])) setcookie('ip_user', $_SERVER['REMOTE_ADDR'], time() + 3600 * 24);
// Определение реального браузера
$ua = $_SERVER['HTTP_X_OPERAMINI_PHONE_UA'] ?? $_SERVER['HTTP_USER_AGENT'];
// Корневая папка
define('ROOT', 'http://'.$_SERVER['HTTP_HOST']);
// Кодировка
iconv_set_encoding('internal_encoding', 'UTF-8');
// Дата и время
date_default_timezone_set('Europe/Moscow');
// Фильтр всех входящих данных
if (isset($_POST)) foreach ($_POST as $key => $value) $_POST[$key] = trim(stripslashes(htmlspecialchars($value, ENT_QUOTES)));
if (isset($_GET)) foreach ($_GET as $key => $value) $_GET[$key] = trim(stripslashes(htmlspecialchars($value, ENT_QUOTES)));
if (isset($_SESSION)) foreach ($_SESSION as $key => $value) $_SESSION[$key] = trim(stripslashes(htmlspecialchars($value, ENT_QUOTES)));
if (isset($_COOKIE)) foreach ($_COOKIE as $key => $value) $_COOKIE[$key] = trim(stripslashes(htmlspecialchars($value, ENT_QUOTES)));
// Функция фильтровки чисел
function val($str, $abs = null) {
if ($abs == null) {
return intval($str);
} else {
return abs(intval($str));
}
}
// Редактирование файла
function editFileNow($filename, $text) {
$fp = fopen($filename, "w+");
fwrite($fp, $text);
fclose($fp);
}
// Чтение файла
function contentFileNow($filename) {
$fd = fopen($filename, "r");
$contents = fread($fd, filesize($filename));
return $contents;
}
// Вес файла
function get_filesize($file) {
if(!file_exists($file)) return "Файл не найден";
$filesize = filesize($file);
if($filesize > 1024){
$filesize = ($filesize/1024);
if($filesize > 1024){
$filesize = ($filesize/1024);
if($filesize > 1024) {
$filesize = ($filesize/1024);
$filesize = round($filesize, 1);
return $filesize." Gb";
} else {
$filesize = round($filesize, 1);
return $filesize." Mb";
}
} else {
$filesize = round($filesize, 1);
return $filesize." Kb";
}
} else {
$filesize = round($filesize, 1);
return $filesize." byte";
}
}
// Удаление файлов из папки
function delete_file_dir($dir) {
$scan = scandir($dir);
foreach ($scan as $file) {
unlink("$dir/$file");
}
}
// рекурсивное удаление папки
function delete_dir($dir) {
if (is_dir($dir)) {
$od = opendir($dir);
while ($rd = readdir($od)) {
if ($rd == '.' or $rd == '..') continue;
if (is_dir("$dir/$rd")) {
delete_dir("$dir/$rd");
} else {
unlink("$dir/$rd");
}
}
closedir($od);
return rmdir("$dir");
} else {
unlink("$dir");
}
}
// Функция ББ кодов
function bb($str) {
// Жирный шрифт
$str = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $str);
// Наклоненный шрифт
$str = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $str);
// Подчеркнутый шрифт
$str = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $str);
// Перенос текста
$str = preg_replace('#\[br\]#si', '<br/>', $str);
// Зачеркнутый шрифт
$str = preg_replace('#\[del\](.*?)\[/del\]#si', '<del>\1</del>', $str);
// Маленький шрифт
$str = preg_replace('#\[small\](.*?)\[/small\]#si', '<small>\1</small>', $str);
// Цветной шрифт
$str = preg_replace('#\[color=(.*?)\](.*?)\[/color\]#si', '<span style="color:\1">\2</span>', $str);
// Мигающий текст
$str = preg_replace('#\[blink\](.*?)\[/blink\]#si', '<div id="blink2">\1</div>', $str);
// Цитата
$str = preg_replace('#\[cit\](.*?)\[/cit\]#si', '<div class="cit">\1</div>', $str);
return $str;
}
// Ссылки
function url_replace($m) {
if (!isset($m[3])) {
return '<a href="'.$m[1]. '">'.$m[2].'</a>';
} else {
return '<a href="'.$m[3].'">'.$m[3].'</a>';
}
}
function bblinks($link) {
$link = preg_replace_callback('~\\[url=(https?://.+?)\\](.+?)\\[/url\\]|(https?://(www.)?[0-9a-z\.\-]+\.[0-9a-z]{2,6}[0-9a-zA-Z/\?\.\-\~&;_=%:#\+]*)~', 'url_replace', $link);
return $link;
}
// Функция вывода смайлов
function smiles($str) {
global $user;
for($i = 1; $i <= count(glob($_SERVER["DOCUMENT_ROOT"]."/img/smiles/*.gif")); $i++) {
$str = str_replace(':'.$i.':', '<img src="/img/smiles/'.$i.'.gif" alt=""/>', $str);
} 
return $str;
}
// Обработка времени
function daytime($var) {
if ($var == NULL) $var = time();
$full_time = date('d.m.Y в H:i', $var);
$date = date('d.m.Y', $var);
$time = date('H:i', $var);
if ($date == date('d.m.Y')) $full_time = date('Сегодня в H:i', $var);
if ($date == date('d.m.Y', time()-60*60*24)) $full_time = date('Вчера в H:i', $var);
return $full_time;
}
// Функция отправки почты на email
function mailto($mail, $theme, $text, $str) {
$utf = "From: ".$str." \n";
$utf.= "X-sender: < ".$str." >\n";
$utf.= "Content-Type: text/html; charset=utf-8\n";
return mail($mail, $theme, $text, $utf);
}
// Функция генерации пароля
function gen_pass($col = 8) {
$row = "abcdefghijklmnopqrstuvwxvzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
$str = '';
for($i = 0 ; $i < $col; $i++) {
$str_r = random_int(0, 61);
$str.= $row[$str_r];
}
return $str;
}
// Статус онлайн
function online($user, $connect){
$result = $connect->prepare("SELECT * FROM `users` WHERE `login` = ?");
$result->execute(array($user));
$row = $result->fetch(PDO::FETCH_LAZY);
if ($row['online'] == 1 && $row['lasttime'] > time() - 900) {
$online = "on";
} else {
$online = "";
}
return $online;
}
// Функция авторизации
if (isset($_COOKIE['login']) && isset($_COOKIE['pass'])) {
$sql = $connect->prepare("select * from `users` where `login` = ?");
$sql->execute(array($_COOKIE['login']));
$num = $sql->rowCount();
if ($num > 0) {
$user = $sql->fetch(PDO::FETCH_LAZY);
if ($user['login'] == strtolower($_COOKIE['login']) or strtoupper($_COOKIE['login']) && $user['pass'] == $_COOKIE['pass']) {
$active = true;
// Онлайн
$online = 1;
$stmt = $connect->prepare("update `users` set `lasttime` = ?, `online` = ? where `id` = ? limit 1");
$stmt->execute(array(time(), $online, $user['id']));
} else {
SetCookie('login', '', time() - 3600, '/');
SetCookie('pass', '', time() - 3600, '/');
session_destroy();
}
} else {
SetCookie('login', '', time() - 3600, '/');
SetCookie('pass', '', time() - 3600, '/');
session_destroy();
}
}
// Функции постраничной навигации
function page($k_page = 1) {
$page = 1;
if (isset($_GET['page'])) {
if ($_GET['page'] == 'end') {
$page = intval($k_page);
}
elseif(is_numeric($_GET['page'])) {
$page = intval($_GET['page']);
}
if ($page < 1) {
$page = 1;
}
if ($page > $k_page) {
$page = $k_page;
}
}
return $page;
}
function k_page($k_post = 0, $k_p_str = 10) {
if ($k_post != 0) {
$v_pages = ceil($k_post / $k_p_str);
return $v_pages;
} else {
return 1;
}
}
function navigation($k_page = 1, $page = 1, $link = '?') {
echo '<div class="menu">';
if ($page < 1) {
$page = 1;
}
if ($page != 1) {
echo '<span class="page_ot"><a href="'.$link.'page=1">1</a></span>';
} else {
echo '<span class="page">1</span>';
}
for ($i = -3; $i <= 3; $i++) {
if ($page + $i > 1 && $page + $i < $k_page) {
if ($i == -3 && $page + $i > 2) {
echo '<span class="page">...</span>';
}
if ($i != 0) {
echo '<span class="page_ot"><a href="'.$link.'page='.($page + $i).'">'.($page + $i).'</a></span>';
} else {
echo '<span class="page">'.($page + $i).'</span>';
}
if ($i == 3 && $page + $i < $k_page - 1) {
echo '<span class="page">...</span>';
}
}
}
if ($page != $k_page) {
echo '<span class="page_zh"><a href="'.$link.'page=end">'.$k_page.'</a></span>';
}
elseif ($k_page > 1) {
echo '<span class="page">'.$k_page.'</span>';
}
echo '</div>';
}
// Узнаем id по логину
function uid($login, $connect) {
$strow = $connect->prepare("select * from `users` where `login` = ?");
$strow->execute(array($login));
$row = $strow->fetch(PDO::FETCH_LAZY);
$uid = $row['id'] ?? false;
return $uid;
}
// Узнаем логин по id
function ulogin($uid, $connect) {
$strow = $connect->prepare("select * from `users` where `id` = ?");
$strow->execute(array($uid));
$row = $strow->fetch(PDO::FETCH_LAZY);
$login = $row['login'] ?? false;
return $login;
}
// Статус юзера
function statusUser($admin = 0) {
if ($admin == 1) {
$status = 'Администратор';
} elseif ($admin == 2) {
$status = 'Журналист газеты';
} elseif ($admin == 3) {
$status = 'Модератор чата';
} else {
$status = 'Пользователь';
}
return $status;
}
// WebMoney Merchant
$hash = $pay_array['HASH'];
$wmr = $pay_array['WMR'];
// WorldKassa
$id_shop = $pay_array['WK_ID'];
$wk_hash = $pay_array['WK_HASH'];
// WapKassa
$wpkid = $pay_array['WPK_ID'];
$wpkh = $pay_array['WPK_HASH'];
// E-mail support
$support_mail = $sys_array['MAIL'];
// Время антивлуда
$antiflud = $sys_array['ANTIFLUD'];
// Регистрация
$registration = $sys_array['REGISTRATION'];
// Аватары
$avatar = $sys_array['AVATAR'];
// Работа сайта
$work_status = $sys_array['WORK'];
// Минималка
$money_cash = $sys_array['CASH'];
// Реферальный процент
$ref_cash = $sys_array['REF_CASH'];
// Комиссия на вывод
$money_kom = $sys_array['KOM'];
// Реферальная минималка
$ref_min = $sys_array['REF_MIN'];
// Цена лотерейного билета
$loto_cena = $sys_array['LOTO_CENA'];
// подарочные деньги
$money_bonus = $sys_array['MKEY'];
// Кол-во участников лотереи
$loto_max = $sys_array['LOTO'];
// Сумма ключа
$key_sum = $sys_array['SKEY'];
// птицы ключа
$key_bird = $sys_array['BKEY'];
// Цены птиц
$c_bird1 = $game_array['C_B1'];
$c_bird2 = $game_array['C_B2'];
$c_bird3 = $game_array['C_B3'];
$c_bird4 = $game_array['C_B4'];
$c_bird5 = $game_array['C_B5'];
// доход с птиц
$d_bird1 = $game_array['D_B1'];
$d_bird2 = $game_array['D_B2'];
$d_bird3 = $game_array['D_B3'];
$d_bird4 = $game_array['D_B4'];
$d_bird5 = $game_array['D_B5'];
// жизнь птиц
$live_bird1 = $game_array['LIVE1'];
$live_bird2 = $game_array['LIVE2'];
$live_bird3 = $game_array['LIVE3'];
$live_bird4 = $game_array['LIVE4'];
$live_bird5 = $game_array['LIVE5'];
// цена 5 мест
$c_limit = $game_array['LIMIT'];
// бонусная птица
$bonus_bird = $game_array['BONUS'];
// Курс серебра
$obmen_kurs = $game_array['OBMEN'];
// Кол-во новостей
$count_news = $connect->query("select  count(*) from `news`")->fetchColumn();
// Кол-во пользователей
$count_users = $connect->query("select count(*) from `users`")->fetchColumn();
// Кол-во зарегистрированных пользователей сегодня
$count_users_new = $connect->query("select count(*) from `users` where `datereg`>'".mktime(0, 0, 1, date('m'), date('d'), date('Y'))."'")->fetchColumn();
// Кол-во пользователей онлайн
$count_online_user = $connect->query("select count(*) from `users` where `online` = '1' and `lasttime` > '".(time() - 900)."'")->fetchColumn();
// Заходило сегодня
$count_day_user = $connect->query("select count(*) from `users` where `lasttime`>'".(time() - 3600 * 12)."'")->fetchColumn();
if (isset($active) == true) {
// Команда сайта
$count_team_user = $connect->query("select count(*) from `users` where `admin` != '0'")->fetchColumn();
// Кол-во рефералов
$stmt_ref = $connect->prepare("select count(*) from `users` where `ref` = ?");
$stmt_ref->execute(array($user['id']));
$count_ref = $stmt_ref->fetchColumn();
// Кол-во цепочек писем
$count_mess = $connect->prepare("select `id` from `mail` where `who` = ? group by `user`");
$count_mess->execute(array($user['id']));
$count_mess = $count_mess->rowCount();
// Сообщения
$count_mail = $connect->prepare("select count(*) from `mail` where `who` = ? or `user` = ?");
$count_mail->execute(array($user['id'], $user['id']));
$count_mail = $count_mail->fetchColumn();
$c_new_mail = $connect->prepare("select count(*) from `mail` where `read` = '0' and `who` = ?");
$c_new_mail->execute(array($user['id']));
$c_new_mail = $c_new_mail->fetchColumn();
$new_mail = $c_new_mail > 0 ? '<span>+'.$c_new_mail.'</span>' : '';
// Кол-во сообщений чата
$count_chat = $connect->query("select count(*) from `guest`")->fetchColumn();
// Новые сообщения чата
$c_new_chat = $connect->query("select count(*) from `guest` where `date` > '".(time() - 3600 * 12)."'")->fetchColumn();
$new_chat = $c_new_chat > 0 ? '<span>+'.$c_new_chat.'</span>' : '';
// Кол-во птиц
$stmt_birds = $connect->prepare("select count(*) from `birds` where `uid` = ?");
$stmt_birds->execute(array($user['id']));
$count_birds = $stmt_birds->fetchColumn();
// Коричневые птицы
$stmt_b1 = $connect->prepare("select count(*) from `birds` where `type` = '1' and `uid` = ?");
$stmt_b1->execute(array($user['id']));
$count_b1 = $stmt_b1->fetchColumn();
// зеленые птицы
$stmt_b2 = $connect->prepare("select count(*) from `birds` where `type` = '2' and `uid` = ?");
$stmt_b2->execute(array($user['id']));
$count_b2 = $stmt_b2->fetchColumn();
// синие птицы
$stmt_b3 = $connect->prepare("select count(*) from `birds` where `type` = '3' and `uid` = ?");
$stmt_b3->execute(array($user['id']));
$count_b3 = $stmt_b3->fetchColumn();
// красные птицы
$stmt_b4 = $connect->prepare("select count(*) from `birds` where `type` = '4' and `uid` = ?");
$stmt_b4->execute(array($user['id']));
$count_b4 = $stmt_b4->fetchColumn();
// золотые птицы
$stmt_b5 = $connect->prepare("select count(*) from `birds` where `type` = '5' and `uid` = ?");
$stmt_b5->execute(array($user['id']));
$count_b5 = $stmt_b5->fetchColumn();
// Деньги у юзеров
$money_users = $connect->query("select sum(`money`) from `users` where `admin` != '1'")->fetchColumn();
// Кол-во заявок на вывод
$count_payment = $connect->query("select count(*) from `payment` where `status` = '0'")->fetchColumn();
$yes_payment = $connect->query("select count(*) from `payment` where `status` = '1'")->fetchColumn();
$no_payment = $connect->query("select count(*) from `payment` where `status` = '2'")->fetchColumn();
$all_payment = $connect->query("select count(*) from `payment`")->fetchColumn();
// Всего выплачено
$sum_payment = $connect->query("select sum(`money`) from `payment` where `status` = '1'")->fetchColumn();
// Выплачено юзеру
$stmt_user_payment = $connect->prepare("select sum(`money`) from `payment` where `status` = '1' and `user` = ?");
$stmt_user_payment->execute(array($user['login']));
$user_payment = $stmt_user_payment->fetchColumn();
// Кол-во ставок в num
$count_num = $connect->query("select count(*) from `num`")->fetchColumn();
// Кол-во играющих в лотерею
$loto_count = $connect->query("select count(*) from `loto`")->fetchColumn();
// Настройки лотереи
$loto_cash = ($loto_max - $loto_max / 10) * $loto_cena;
// Лотерея
if ($loto_count >= $loto_max) {
$loto = $connect->query("select * from `loto` order by rand()")->fetch(PDO::FETCH_LAZY);
$stmt = $connect->prepare("update  `users` set `money` = `money` + ? where `id` = ?");
$stmt->execute(array($loto_cash, $loto['idu']));
$text = "В лотерее победил билет &#8470;".$loto['id']."! Джек-под сорвал [u]".ulogin($loto['idu'], $connect)."[/u]:30:";
$name = "Система";
$stmt = $connect->prepare("insert into `guest` set `date` = ?, `user` = ?, `text` = ?");
$stmt->execute(array(time(), $name, $text));
$connect->exec("delete from `loto`");
header('Refresh: 1');
}
}
?>